<?php

namespace humhub\modules\cgyshare;

use humhub\components\Module as BaseModule;
use yii\helpers\Url;

class Module extends BaseModule
{
    public $resourcesPath = 'resources';

    public function getName()
    {
        return 'CGY-Share';
    }

    public function getDescription()
    {
        return 'Automatically shares eligible profile posts to the configured Main Space.';
    }

    public function getConfigUrl()
    {
        return Url::to(['/cgy-share/admin']);
    }

    public function getAuthor()
    {
        return 'YCP';
    }
}
